## org.codehaus.groovy.grails.orm.hibernate.cfg
Class Identity

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.Identity

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class Identity

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`Identity()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`String` `getColumn()`
`String` `getGenerator()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getName()`
`NaturalId` `getNatural()`
`Map` `getParams()`
`Object` `getProperty(String property)`
`Class` `getType()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setColumn(String value)`
`void` `setGenerator(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setName(String value)`
`void` `setNatural(NaturalId value)`
`void` `setParams(Map value)`
`void` `setProperty(String property, Object value)`
`void` `setType(Class value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identity

    public Identity()

Method Detail

### getGenerator

    public String getGenerator()

### setGenerator

    public void setGenerator(String value)

### getColumn

    public String getColumn()

### setColumn

    public void setColumn(String value)

### getName

    public String getName()

### setName

    public void setName(String value)

### getNatural

    public NaturalId getNatural()

### setNatural

    public void setNatural(NaturalId value)

### getType

    public Class getType()

### setType

    public void setType(Class value)

### getParams

    public Map getParams()

### setParams

    public void setParams(Map value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project